View Issue Details

IDProjectCategoryView StatusLast Update
0003279NoesisGUIC# SDKpublic2024-05-17 17:27
Reporterstonstad Assigned Tosfernandez  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.2.2 
Target Version3.2.4Fixed in Version3.2.4 
Summary0003279: KeyDown and PreviewKeyDown Not Firing for KeyCode Tilde '~'
DescriptionPlayers use the tilde button to open and close a chat window. When they press tilde (~) it is captured in TextBox input. I'd like to filter this text out by hooking PreviewKeyDown and setting the event to handled. But KeyDown and PreviewKeyDown events do not fire for tilde in TextBox or parent UserControls. Am I doing something wrong or is this by design?

 _InputTextBox.KeyDown += (sender, e) => // never fires for Tilde
 _InputTextBox.PreviewKeyDown += (sender, e) => // never fires for Tilde

Thank you.
TagsNo tags attached.
PlatformAny

Activities

sfernandez

sfernandez

2024-05-02 12:34

manager   ~0009452

Last edited: 2024-05-06 11:43

Can you debug which UnityEngine.KeyCode is produced when pressing the Tilde key in your keyboard?
We are probably missing that mapping in the NoesisKeyCodes.cs table.
stonstad

stonstad

2024-05-09 20:43

reporter   ~0009520

The key is BackQuote. KeyCode.BackQuote '

When I described the key as Tilde I was incorrect. This is what it is commonly called, but the actual key is 'Back Quote'. Noesis KeyDown and PreviewKeyDown events do not seem to be firing for UnityEngine.KeyCode.BackQuote.
sfernandez

sfernandez

2024-05-09 21:30

manager   ~0009521

That KeyCode is not mapped, could you try by adding it to the NoesisKeyCodes.cs table:

_unityToNoesis.Add(UnityEngine.KeyCode.BackQuote, Noesis.Key.Oem3);


We will fix it for the next release.

Issue History

Date Modified Username Field Change
2024-04-26 12:09 stonstad New Issue
2024-04-29 13:38 jsantos Assigned To => jsantos
2024-04-29 13:38 jsantos Status new => assigned
2024-04-29 13:38 jsantos Target Version => 3.2.4
2024-05-02 12:34 sfernandez Status assigned => feedback
2024-05-02 12:34 sfernandez Note Added: 0009452
2024-05-06 11:43 sfernandez Note Edited: 0009452
2024-05-06 11:43 sfernandez Note Edited: 0009452
2024-05-09 20:43 stonstad Note Added: 0009520
2024-05-09 20:43 stonstad Status feedback => assigned
2024-05-09 21:30 sfernandez Status assigned => feedback
2024-05-09 21:30 sfernandez Note Added: 0009521
2024-05-17 17:27 sfernandez Assigned To jsantos => sfernandez
2024-05-17 17:27 sfernandez Status feedback => resolved
2024-05-17 17:27 sfernandez Resolution open => fixed
2024-05-17 17:27 sfernandez Fixed in Version => 3.2.4